Project

General

Profile

action #34867

[sle15sp1][desktop] Migrate login_test, change_password to SLES15+WE

Added by qkzhu over 3 years ago. Updated almost 3 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
Bugs in existing tests
Target version:
-
Start date:
2018-04-13
Due date:
% Done:

0%

Estimated time:
Difficulty:

Description

Acceptance criteria

  • AC1: We should migrate login_test, change_password to SLES+WE, the polkit configuration is different between SLES and SLED.

Suggestions

  • Type password into "Authentication Required" window when accessing "Users" of gnome-control-center

History

#1 Updated by yfjiang over 3 years ago

Input from development side for this:

The extra authentication for gnome-control-center->users panel is not really expected.

see: http://bugzilla.suse.com/show_bug.cgi?id=1078968

SLES should either loosen the Server's polkit policy or change accountsservice behaviors.

The former method is easy to implement but security team does not treat it as a perfect
solution after an in-depth audit, the latter needs discussion with freedeskop upstream to
change accountsservice behaviors (I didn't expect it resolve in a fast way).

So I assume the best way is to mark a "softfailure" in this case, and expect the ad-hoc
authentication gone in either later RC3/GMC or even SLE-15 maintenance update.

Thank you, and please let me know if you have extra concerns on the issue in the above
bugzilla entry, we can talk.

#2 Updated by yfjiang over 3 years ago

  • Assignee set to GraceWang

#3 Updated by okurz over 3 years ago

This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: x11-desktopapps-gnome@64bit-2gbram
https://openqa.suse.de/tests/1672518

#4 Updated by okurz over 3 years ago

This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: x11-desktopapps-gnome@64bit-2gbram
https://openqa.suse.de/tests/1711141

#5 Updated by yfjiang about 3 years ago

  • Subject changed from [sle15][desktop] Migrate login_test, change_password to SLES15+WE to [sle15sp1][desktop] Migrate login_test, change_password to SLES15+WE

#6 Updated by GraceWang almost 3 years ago

login_test works fine now in SLED15SP1 with latest build 76.3
See https://openqa.suse.de/tests/2194542#step/login_test/31

#7 Updated by zcjia almost 3 years ago

For the "change_password" error: the "Authentication Required" window caused by polkit has been resolved. Now there is a new error:

see https://openqa.suse.de/tests/2194542#step/change_password/65

Under X11, 'loginctl kill-user test' causes the system into black screen and unresponsive, it should be replaced with 'loginctl terminate-user', I'll submit a PR for that.

#8 Updated by GraceWang almost 3 years ago

  • Assignee changed from GraceWang to zcjia

Assign this ticket to zhaocong since he is working on this.

#9 Updated by zcjia almost 3 years ago

  • Status changed from New to In Progress

#10 Updated by zcjia almost 3 years ago

  • Status changed from In Progress to Resolved

Also available in: Atom PDF